ogamesim(6)

NAME
Console Ogame Simulator

SYNOPSYS
ogamesim [ -i <task.txt> ] [ -o <result.txt> ]

DESCRIPTION

Tasks for simulation are consist of text files.

Example of task concluding all possible units is adduced bellow.

OPTIONS
-i <input file>: task file (STDIN unless defined);

-o <output file>: result file (STDOUT unless defined);

-s <iterations count>: 1 <= value <= N (no limits);

-t <max simulation time>: (seconds) 0 <= value <= N, 0=no limits;

-f <forks count>: 0 <= value <= 100.

RETURN VALUES
0: if success

EXAMPLES
Task concluding all possible units:
attacker
        attack                  = 9
        shield                  = 10
        armory                  = 11

        Small Cargo             = 10
        Large Cargo             = 10
        Light Fighter           = 20
        Heavy Fighter           = 30
        Cruiser                 = 40
        Battleship              = 50
        Colony Ship             = 60
        Recycler                = 70
        Espionage Probe         = 80
        Bomber                  = 900
        Destroyer               = 110
        Deathstar               = 120

defender
        attack                  = 11
        shield                  = 12
        armory                  = 13

        Rocket Launcher         = 100
        Light Laser             = 200
        Heavy Laser             = 300
        Gauss Cannon            = 400
        Ion Cannon              = 500
        Plasma Turret           = 600
        Small Shield Dome       = 1
        Large Shield Dome       = 1

        Solar Satellite         = 100

        metal                   = 123456
        crystal                 = 56789
        deut                    = 987654